import { RelayServerOptions } from "./relay-server.interface";
import { Observable } from "rxjs";
import { ClientAdapterInterface } from "./client-adapter.interface";
/**
 *
 */
export interface ServerAdapterInterface {
    /**
     * Start listening for new client connection
     * @param options
     */
    listen(options: RelayServerOptions): Promise<any>;
    /**
     * Clients
     */
    connections(): Observable<ClientAdapterInterface>;
    /**
     * Stop server
     */
    stop(): Promise<any>;
}
